summaryrefslogtreecommitdiffstats
path: root/kubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh')
-rwxr-xr-xkubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/kubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh b/kubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh
new file mode 100755
index 0000000000..1648f9a1b0
--- /dev/null
+++ b/kubernetes/oof/charts/oof-has/charts/oof-has-music/resources/config/startup.sh
@@ -0,0 +1,35 @@
+# Copyright © 2017 Amdocs, Bell Canada
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+OUT=$(curl -o /dev/null -s -w "%{http_code}\n" \
+ http://localhost:8080/MUSIC/rest/v2/admin/onboardAppWithMusic \
+ -H 'Cache-Control: no-cache' \
+ -H 'Content-Type: application/json' \
+ -H 'Postman-Token: 705d4a9d-aaf2-40b4-914a-e0ce1a79534c' \
+ -d '{
+ "appname": "conductor",
+ "userId" : "conductor",
+ "isAAF" : false,
+ "password" : "c0nduct0r"
+}
+')
+
+if [ ${OUT} = "200" ]; then
+ echo "Success"
+ echo 1 > /tmp/onboarded
+ exit 0;
+else
+ echo "Failure"
+ exit 1;
+fi